Расширенный

Выполнение произвольного кода

Выполнение произвольного кода

23 Июля 2013
Уровень опасности
Оценка CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Производитель ПО
Наименование ПО
Apache Struts (2.0.0, 2.3.14.2)
Описание
Уязвимость в Apache Struts 2 позволяет злоумышленникам, действующим удаленно, выполнить произвольный OGNL-код при помощи специально сформированного запроса, который некорректно обрабатывается при использовании атрибута includeParams в теге URL или А.
Как исправить
Для устранения уязвимости необходимо установить последнюю версию продукта, соответствующую используемой платформе. Необходимую информацию можно получить по адресу:
http://struts.apache.org
Ссылки